﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Data.SqlClient;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            string constr = ConfigurationManager.ConnectionStrings["Constring"].ConnectionString;
            using (SqlConnection con = new SqlConnection(constr))
            {
                string query = "SELECT FruitName, FruitId FROM Fruits";
                using (SqlCommand cmd = new SqlCommand(query))
                {
                    cmd.CommandType = CommandType.Text;
                    cmd.Connection = con;
                    con.Open();
                    chkFruits.DataSource = cmd.ExecuteReader();
                    chkFruits.DataTextField = "FruitName";
                    chkFruits.DataValueField = "FruitId";
                    chkFruits.DataBind();
                    con.Close();
                }
            }
        }
    }

    protected void OnCheckBox_Changed(object sender, EventArgs e)
    {
        string message = "";
        foreach (ListItem item in chkFruits.Items)
        {
            if (item.Selected)
            {
                message += "Value: " + item.Value;
                message += " Text: " + item.Text;
                message += "\\n";
            }
        }

        ClientScript.RegisterStartupScript(this.GetType(), "alert", "alert('" + message + "');", true);
    }
}